import type { CreateType } from './type';
export declare const useSurchargeApi: () => {
    browse(): Promise<{
        value?: any;
        rule?: any;
        _id: string;
        businessId: string;
        name: string;
        applyTo: "purchaseOrder";
    }[]>;
    create(surcharge: CreateType<FdoInventorySurcharge>): Promise<FdoInventorySurcharge>;
    read(id: string): Promise<FdoInventorySurcharge>;
    update(id: string, surcharge: FdoInventorySurcharge): Promise<FdoInventorySurcharge>;
    delete(id: string): Promise<{
        value?: any;
        rule?: any;
        _id: string;
        businessId: string;
        name: string;
        applyTo: "purchaseOrder";
    }>;
    urls: {
        portalBackendUrl: string;
        netSuiteBackendUrl: string;
        businessesBackendUrl: string;
        inventoryBackendUrl: string;
        foodMarketHubUrl: string;
        menuV4BackendUrl: string;
        dataBackendUrl: string;
    };
};
